Name:		qubes-dist-upgrade
Version:	4.0.4
Release:	1%{?dist}
Summary:	Qubes dom0 dist upgrade
License:	GPLv2
BuildArch:	noarch
Source0:	%{name}-%{version}.tar.gz

%description
%{summary}.

%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 qubes-dist-upgrade.sh $RPM_BUILD_ROOT/usr/sbin/qubes-dist-upgrade
install -D -m 755 scripts/upgrade-template-standalone.sh $RPM_BUILD_ROOT/usr/lib/qubes/upgrade-template-standalone.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/qubes-dist-upgrade
/usr/lib/qubes/upgrade-template-standalone.sh

%changelog
* Thu Feb 03 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-dist-upgrade.git

* Thu Feb 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 902cf6b
- version 4.0.4

* Tue Feb 01 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a08293
- Add gnttab_max_frames etc parameters to Xen on EFI upgrade

* Tue Jan 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1df69f7
- Get the actual updatevm, instead of assuming sys-firewall

* Tue Jan 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 68dd91b
- Complain about too old updatevm, while it's still possible to change it

* Wed Nov 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 709c91e
- Skip metadata resize on non-thin LVM setup

* Mon Nov 22 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b55851f
- Skip template/standalone update in stage 1 too if requested

* Mon Nov 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 538d998
- version 4.0.3

* Sat Oct 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a73324c
- efi: try to reuse current boot entry

* Sat Oct 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3d512ed
- Clarify message about unsupported distribution

* Sat Oct 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b28833
- Skip stage 1 if stage 3 already completed

* Sat Oct 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 686d4cc
- Skip shutdown VM step if qubesd is not running anymore

* Tue Oct 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - efc56fe
- Really restart updatevm

* Tue Oct 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7ddcabb
- Do not shutdown updates proxy before updating

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5204a0
- Really restart an updatevm, not only shutdown it

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d422a7
- Order sys-usb before user login

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 780b1d3
- Handle user-modified qubes-dom0.repo

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bebd3ec
- Shutdown template/standalone immediately after upgrade

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33cb9e6
- Save Xen cmdline only once

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c6eb420
- Force updating all appmenus at the end

* Sun Oct 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0d58301
- Simplify listing templates, fix listing standalones

* Sat Oct 09 2021 Yann Dirson <ydirson@free.fr> - d22cad6
- Do not hide errors from qvm-check and qvm-ls

* Sun Jul 25 2021 Yann Dirson <ydirson@free.fr> - bbb2519
- Fix --skip-standalone-upgrade to work even without --skip-template-upgrade

* Sun Jul 25 2021 Yann Dirson <ydirson@free.fr> - 4639065
- Order CLI handling in the natural stage order for easier verifying

* Sat Jul 24 2021 Yann Dirson <ydirson@free.fr> - 574cfc8
- Document short options in --help

* Thu Jul 22 2021 Yann Dirson <ydirson@free.fr> - 244cc85
- Fix getopt call for missing separator impacting --updatevm and --skip-template-upgrade

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 35b9eb8
- Add --keep-running option for exclude more VMs from shutdown

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73435ae
- Use apt-get instead of apt

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f31573
- version 4.0.2

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d4b2ccc
- Shutdown template after calling qubes.PostInstall service.

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14735ca
- Improve status reporting

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 80dd6e6
- Fix default grub config

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d81484
- Add --max-concurrency option passed down to qubesctl

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f40fdde
- Improve Debian upgrade handling

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f726d24
- vm: use .bak extension, not .backup

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e58f3d1
- rpm: add standard '%dist' suffix to the Release field

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86e3569
- Cleanup the VM update script after success

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2f0c1d
- Add --only-update option to explicitly list templates to update

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1489c48
- Adjust few more systemd units

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e94c4f6
- Remove explicit 'exit 0' after upgrade

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b411e6e
- Fix picking up the latest kernel version

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9403b03
- version 4.0.1

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0cf3b0
- Include upgrade-template-standalone.sh in the package

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4915f2c
- Replace Travis with Gitlab-ci

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92a1b9e
- Debian: use apt dist-upgrade

* Fri Jul 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6218ec9
- Improve latest info message

* Fri Jul 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5fc0d57
- Fix typo in recommended_size

* Fri Jul 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ccd64d0
- Handle TemplateVM and StandaloneVM upgrade

* Fri Jul 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0611811
- Wrap the shutdown of unnecessary VMs

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 738a930
- Install the script as /usr/sbin/qubes-dist-upgrade

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 315cd60
- Add --all option to execute all the stages in one call

